Subject: Re: Perl version support (was Re: [PATCH] git-mv is not able to handle big directories)

From: Andreas Ericsson <[email-masked]>
Date: Mon, 28 Nov 2005 09:49:47 +0100

Ryan Anderson wrote:
> Randal L. Schwartz wrote:
> 
>>However, I have not seen the "target market" of git discussed yet
>>(I came late to the party), so if support for 5.6 (or 5.5) is not chosen,
>>it merely limits the market.
> 
> 
> Well, I think the general target market[1] for Linux probably applies
> here, as well.  On the other hand, the users limited to Perl 5.5 for
> corporate reasons are probably also prevented from installing new tools
> for general use, so the difference may not matter very much.
> 
> [1] - "World domination", of course.
> 

Servers with software installation restrictions are rarely used for 
development either and the server side part of git is all C. So long as 
that's true I don't think we need to bother very much with staying 
backwards compatible. It's nice if we manage it, but we shouldn't, imho, 
bend over backwards for the sake of perl 5.5 (or even 5.6).

Just my two öre. :)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231